%define module_name HTTP-Cookies-Safari
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Calc.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(HTTP/Cookies.pm) perl(Mac/PropertyList.pm) perl(Test/More.pm) perl(Text/Diff.pm) perl(XML/Entities.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.153
Release: alt1
Summary: Cookie storage and management for Safari
Group: Development/Perl
License: perl
URL: https://github.com/briandfoy/http-cookies-safari

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BD/BDFOY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This package overrides the `load()' and `save()' methods of.`HTTP::Cookies' so it can work with Safari cookie files.

Note: If the source Safari cookie file specifies and expiry date past
the unix 32-bit epoch, this file changes the expiry date to 0xFFFFFFFF
in unix seconds. That should be enough for anyone, at least to the
next release.

See the HTTP::Cookies manpage.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.pod Changes examples
%perl_vendor_privlib/H*

%changelog
* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.153-alt1
- regenerated from template by package builder

* Fri Jan 13 2017 Igor Vlasenko <viy@altlinux.ru> 1.152-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1
- initial import by package builder

